explain_setpriority_or_die(3)

NAME
explain_setpriority_or_die - set program scheduling priority and report errors

SYNOPSIS
#include <libexplain/setpriority.h>

void explain_setpriority_or_die(int which, int who, int prio);
int explain_setpriority_on_error(int which, int who, int prio);

DESCRIPTION
The explain_setpriority_or_die function is used to call the setpriority(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setpriority(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setpriority_on_error function is used to call the setpriority(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setpriority(3) function, but still returns to the caller.

which
    The which, exactly as to be passed to the setpriority(2) system call.

who The who, exactly as to be passed to the setpriority(2) system call.

prio
    The prio, exactly as to be passed to the setpriority(2) system call.

RETURN VALUE
The explain_setpriority_or_die function only returns on success, see setpriority(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setpriority_on_error function always returns the value return by the wrapped setpriority(2) system call.

EXAMPLE
The explain_setpriority_or_die function is intended to be used in a fashion similar to the following example:
    explain_setpriority_or_die(which, who, prio);

SEE ALSO

setpriority(2)
    set program scheduling priority

explain_setpriority(3)
    explain setpriority(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller